OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.SamplerObjects

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBSamplerObjects :: MonadIO m => m Bool
- gl_ARB_sampler_objects :: Bool
- gl_SAMPLER_BINDING :: GLenum
- glBindSampler :: MonadIO m => GLuint -> GLuint -> m ()
- glDeleteSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGenSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glGetSamplerParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetSamplerParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetSamplerParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetSamplerParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glIsSampler :: MonadIO m => GLuint -> m GLboolean
- glSamplerParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glSamplerParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glSamplerParameterf :: MonadIO m => GLuint -> GLenum -> GLfloat -> m ()
- glSamplerParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glSamplerParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glSamplerParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()

# Extension Support

glGetARBSamplerObjects :: MonadIO m => m Bool

Is the ARB_sampler_objects extension supported?

gl_ARB_sampler_objects :: Bool

Is the ARB_sampler_objects extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBSamplerObjects` in those cases instead.

# Enums

gl_SAMPLER_BINDING :: GLenum

# Functions

glBindSampler

Arguments

:: MonadIO m |
=> GLuint | `unit`.
-> GLuint | `sampler`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glDeleteSamplers

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `samplers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGenSamplers

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `samplers` pointing to `count` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterIiv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterIuiv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLuint | `params` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameterfv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLfloat | `params` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glGetSamplerParameteriv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLint | `params` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glIsSampler

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> m GLboolean | of type Boolean.

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterIiv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterIuiv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLuint | `param` pointing to `COMPSIZE(pname)` elements of type `GLuint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterf

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> GLfloat | `param`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameterfv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLfloat | `param` pointing to `COMPSIZE(pname)` elements of type `GLfloat`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameteri

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.

glSamplerParameteriv

Arguments

:: MonadIO m |
=> GLuint | `sampler`.
-> GLenum | `pname`.
-> Ptr GLint | `param` pointing to `COMPSIZE(pname)` elements of type `GLint`.
-> m () |

Manual pages for OpenGL 3.x or OpenGL 4.x.